Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class GenericCommonElem<E extends Elem>

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<E>

Direct Known Subclasses:
  AbbrElem, AcronymElem, AddressElem, AElem, AreaElem, BElem, BigElem, BlockquoteElem, BodyElem, ButtonElem, CaptionElem, CenterElem, CiteElem, CodeElem, DdElem, DelElem, DfnElem, DirElem, DlElem, DtElem, EmElem, FieldsetElem, FormElem, GenericCellElem, GenericTextElem, HrElem, IElem, ImgElem, InputElem, InsElem, KbdElem, LabelElem, LegendElem, LiElem, LinkElem, MenuElem, NoframesElem, NoscriptElem, ObjectElem, OlElem, OptgroupElem, OptionElem, PreElem, QElem, SampElem, SelectElem, SElem, SmallElem, SpanElem, StrikeElem, StrongElem, SubElem, SupElem, TableElem, TextareaElem, TtElem, UElem, UlElem, VarElem

    public class GenericCommonElem<E extends Elem>

extends GenericCoreElem<E>

Constructor Summary
`GenericCommonElem(String name, Object... nodes)`

Method Summary
`E` | `dir(String value)`
`E` | `lang(String value)`
`E` | `onclick(String value)`
`E` | `ondblclick(String value)`
`E` | `onkeydown(String value)`
`E` | `onkeypress(String value)`
`E` | `onkeyup(String value)`
`E` | `onmousedown(String value)`
`E` | `onmousemove(String value)`
`E` | `onmouseout(String value)`
`E` | `onmouseover(String value)`
`E` | `onmouseup(String value)`
`E` | `xmllang(String value)` xml:lang

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericCommonElem

    public GenericCommonElem(String name,
                             Object... nodes)

Method Detail

### lang

    public E lang(String value)

### xmllang

    public E xmllang(String value)

  xml:lang

### dir

    public E dir(String value)

### onclick

    public E onclick(String value)

### ondblclick

    public E ondblclick(String value)

### onmousedown

    public E onmousedown(String value)

### onmouseup

    public E onmouseup(String value)

### onmouseover

    public E onmouseover(String value)

### onmousemove

    public E onmousemove(String value)

### onmouseout

    public E onmouseout(String value)

### onkeypress

    public E onkeypress(String value)

### onkeydown

    public E onkeydown(String value)

### onkeyup

    public E onkeyup(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.